import React from 'react';
// eslint-disable-next-line import/no-extraneous-dependencies
import {
  Title,
  Description,
  Primary,
  PRIMARY_STORY,
  ArgsTable,
} from '@storybook/addon-docs/blocks';
import TemplateOne from '.';

export default {
  title: 'Theme/Modules/Template Blocks/FeedBack Counter/Template One /Template One',
  component: TemplateOne,
  argTypes: {
    title: 'Would you recommend (Casino Name)?',
    pageId: 123,
    trueVotes: 10,
    falseVotes: 5,
  },
  parameters: {
    docs: {
      description: {
        component: 'A component that displays authors cards',
      },
      page: () => (
        <>
          <Title />
          <Description />
          <Primary />
          <ArgsTable story={PRIMARY_STORY} />
        </>
      ),
    },
  },
};

const Template = (args) => <TemplateOne {...args} />;
export const Default = Template.bind({});
Default.args = {
  title: 'Would you recommend [operator_name]?',
  pageId: 123,
  trueVotes: 10,
  falseVotes: 5,
  casinoTitle: 'Wildz',
};
